#include <dos.h>
#include <string.h>
#include <alloc.h>
#include <owl.h>
#include <edit.h>

//**************************************************
// This edit control works the same as the TEdit control
// except it uses it's own data segment so that it can hold more. 
//**************************************************

class T64KEdit : public TEdit
{
	WORD wTextLength;
public:
	T64KEdit(PTWindowsObject AParent, int AnId, LPSTR AText, int X, int Y,
		int W, int H, WORD ATextLength, BOOL Multiline,PTModule AModule=NULL):
		TEdit(AParent,AnId,AText,X,Y,W,H,ATextLength,Multiline,AModule)
	{
		wTextLength = ATextLength;
	}

	// This is done so that the limit text is done correctly.
	// If you subclass T64KEdit be sure to call this function just
	// as TEdit::SetupWindow() is done below.
	void SetupWindow()	
	{
		TEdit::SetupWindow();
		SendMessage(HWindow,EM_LIMITTEXT,wTextLength,0L);
	}
	BOOL Create();
};
